

SOURCES = $(wildcard $(srcdir)/*.c)
HEADERS = $(wildcard $(srcdir)/*.h)
OBJECTS = $(SOURCES:.c=.o)
DEPENDS = $(OBJECTS:.o=.d)

-include $(builddir)/$(DEPENDS)

$(builddir)/%.h: %.h
	@$(CP) $^ $(dir $@)

$(builddir)/%.o: %.c
	$(MKDIR) -p $(dir $@)
	$(CC) -c -o $@ $< $(ALL_CFLAGS) $(ALL_LDLIBS)

$(builddir)/$(PACKAGE): $(addprefix $(builddir)/,$(OBJECTS)) $(addprefix $(builddir)/,$(HEADERS))
	$(MKDIR) -p $(dir $@)
	$(CC) -o $@ $^ $(ALL_CFLAGS) $(ALL_LDLIBS)

bin: $(builddir)/$(PACKAGE)
