#ifndef __BOILERPLATE_PREFERENCES_H__
#define __BOILERPLATE_PREFERENCES_H__

#include <gtk/gtk.h>
#include <gdk/gdkkeysyms.h>

#include "boilerplate-window.h"

G_BEGIN_DECLS

#define BOILERPLATE_TYPE_PREFERENCES (boilerplate_preferences_get_type ())

G_DECLARE_FINAL_TYPE (BoilerplatePreferences, boilerplate_preferences, BOILERPLATE, PREFERENCES, GtkWindow)

struct _BoilerplatePreferences
{
    GtkWindow parent_instance;
};

BoilerplatePreferences * boilerplate_preferences_new (BoilerplateWindow *);

static gboolean _on_key_press (GtkWidget *, GdkEventKey *, gpointer);
static void boilerplate_preferences_init (BoilerplatePreferences *);
static void boilerplate_preferences_dispose (GObject *);
static void boilerplate_preferences_class_init (BoilerplatePreferencesClass *);

G_END_DECLS

#endif /* __BOILERPLATE_PREFERENCES_H__ */
